5.20250413_40
  - Updated for v5.40.2

5.20250321
  - Updated for v5.41.10

5.20250224
  - Updated for v5.41.9

5.20250120
  - Updated for v5.41.8

5.20250118_40
  - Updated for v5.40.1

5.20250118_38
  - Updated for v5.38.3

5.20241220
  - Updated for v5.41.7

5.20241120
  - Updated for v5.41.6

5.20241020
  - Updated for v5.41.5

5.20240920
  - Updated for v5.41.4

5.20240829
  - Updated for v5.41.3

5.20240720
  - Updated for v5.41.2

5.20240702
  - Updated for v5.41.1

5.20240610
  - Updated for v5.41.0

5.20240609
  - Updated for v5.40.0

5.20240420
  - Updated for v5.39.10

5.20240320
  - Updated for v5.39.9

5.20240223
  - Updated for v5.39.8

5.20240120
  - Updated for v5.39.7

5.20231230
  - Updated for v5.39.6

5.20231129
  - Updated for v5.34.3, v5.36.3, v5.38.2

5.20231125
  - Updated for v5.34.2, v5.36.2, v5.38.1

5.20231120
  - Updated for v5.39.5

5.20231025
  - Updated for v5.39.4

5.20230920
  - Updated for v5.39.3

5.20230820
  - Updated for v5.39.2

5.20230720
  - Updated for v5.39.1

5.20230520
  - Updated for v5.38.0

5.20230423
  - Updated for v5.36.1

5.20230420
  - Updated for v5.37.11

5.20230320
  - Updated for v5.37.10

5.20230220
  - Updated for v5.37.9

5.20230120
  - Updated for v5.37.8

5.20221220
  - Updated for v5.37.7

5.20221120
  - Updated for v5.37.6

5.20221024
  - Updated for v5.37.6

5.20221020
  - Updated for v5.37.5

5.20220920
  - Updated for v5.37.4

5.20220820
  - Updated for v5.37.3

5.20220720
  - Updated for v5.37.2

5.20220620
  - Updated for v5.37.1

5.20220520
  - Updated for v5.35.12

5.20220420
  - Updated for v5.35.11

5.20220320
  - Updated for v5.35.10

5.20220313
  - Updated for v5.34.1

5.20220220
  - Updated for v5.35.9

5.20220120
  - Updated for v5.35.8

5.20211220
  - Updated for v5.35.7

5.20211120
  - Updated for v5.35.6

5.20211020
  - Updated for v5.35.5

5.20210920
  - Updated for v5.35.4

5.20210820
  - Updated for v5.35.3

5.20210723
  - Updated for v5.35.2

5.20210620
  - Updated for v5.35.1, second part

5.20210523
  - Updated for v5.35.1

5.20210521
  - Updated for v5.35.0

5.20210520
  - Updated for v5.34.0

5.20210420
  - Updated for v5.33.9

5.20210320
  - Updated for v5.33.8

5.20210220
  - Updated for v5.33.7

5.20210123
  - Updated for v5.32.1

5.20210120
  - Updated for v5.33.6

5.20201220
  - Updated for v5.33.5

5.20201120
  - Updated for v5.33.4

5.20201020
  - Updated for v5.33.3

5.20200920
  - Updated for v5.33.2

5.20200820
  - Updated for v5.33.1

5.20200717
  - Updated for v5.33.0

5.20200620
  - Updated for v5.32.0

5.20200601_30
  - Updated for v5.30.3

5.20200601_28
  - Updated for v5.28.3

5.20200520
  - Updated for v5.31.12

5.20200428
  - Updated for v5.31.11

5.20200320
  - Updated for v5.31.10

5.20200314
  - Updated for v5.30.2

5.20200220
  - Updated for v5.31.9

5.20200120
  - Updated for v5.31.8

5.20191220
  - Updated for v5.31.7

5.20191120
  - Updated for v5.31.6

5.20191110
  - Updated for v5.30.1

5.20191020
  - Updated for v5.31.5

5.20190920
  - Updated for v5.31.4

5.20190820
  - Updated for v5.31.3

5.20190720
  - Updated for v5.31.2

5.20190620
  - Updated for v5.31.1

5.20190524
  - Updated for v5.31.0

5.20190522
  - Updated for v5.30.0

5.20190420
  - Updated for v5.29.10

5.20190419
  - Updated for v5.28.2

5.20190320
  - Updated for v5.29.9

5.20190220
  - Updated for v5.29.8

5.20190120
  - Updated for v5.29.7

5.20181218
  - Updated for v5.29.6

5.20181129_28
  - Updated for v5.28.1

5.20181129_26
  - Updated for v5.26.3

5.20181120
  - Updated for v5.29.5

5.20181020
  - Updated for v5.29.4

5.20180920
  - Updated for v5.29.3

5.20180820
  - Updated for v5.29.2

5.20180720
  - Updated for v5.29.1

5.20180624
  - Updated for v5.29.0

5.20180622
  - Updated for v5.28.0

5.20180420
  - Updated for v5.27.11

5.20180414_26
  - Updated for v5.26.2

5.20180414_24
  - Updated for v5.24.4

5.20180221
  - Updated for v5.27.10

5.20180220
  - Improve handling of broken versions in is_core()
  - Removed Module::CoreList::TieHashDelta
  - Updated for v5.27.9

5.20180120
  - Updated for v5.27.8

5.20171220
  - Updated for v5.27.7

5.20171120
  - Updated for v5.27.6

5.20171020
  - Updated for v5.27.5

5.20170922_26
  - Updated for v5.26.1

5.20170922_24
  - Updated for v5.24.3

5.20170920
  - Updated for v5.27.4

5.20170821
  - Updated for v5.27.3

5.20170720
  - Updated for v5.27.2

5.20170715_24
  - Updated for v5.24.2

5.20170715_22
  - Updated for v5.22.4

5.20170621
  - Updated for v5.27.1

5.20170531
  - Updated for v5.27.0

5.20170530
  - Updated for v5.26.0

5.20170420
  - Updated for v5.25.12

5.20170320
  - Updated for v5.25.11

5.20170220
  - Updated for v5.25.10

5.20170120
  - Updated for v5.25.9

5.20170114_24
  - Updated for v5.24.1

5.20170114_22
  - Updated for v5.22.3

5.20161220
  - Updated for v5.25.8

5.20161120
  - Updated for v5.25.7

5.20161020
  - Updated for v5.25.6

5.20160920
  - Updated for v5.25.5

5.20160820
  - Updated for v5.25.4

5.20160720
  - Updated for v5.25.3

5.20160620
  - Updated for v5.25.2

5.20160520
 - fixed edge-case checking in is_core() (checking for a specific
   version of a module returned false for the first perl release
   that contained it)
 - Updated for v5.25.1

5.20160429
 - Updated for v5.22.2

5.20160320
 - Updated for v5.23.9

5.20160228
  - [perl #127624] corelist: wrong Digest::SHA version in 5.18.4

5.20160220
  - Updated for v5.23.8

5.20160120
  - Updated for v5.23.7

5.20151220
  - Updated for v5.23.6

5.20151213
  - Updated for v5.22.1

5.20151120
  - Updated for v5.23.5

5.20151020
  - Updated for v5.23.4

5.20150920
  - Updated for v5.23.3

5.20150912
  - Updated for v5.20.3

5.20150820
  - Updated for v5.23.2

5.20150720
  - Updated for v5.23.1

5.20150520
  - Updated for v5.22.0

5.20150420
  - Updated for v5.21.11
  - fixes a fencepost error in is_core()
  - copes with versions that do not match x.yyyzzz

5.20150320
  - Updated for v5.21.10

5.20150220
  - Updated for v5.21.9

5.20150214
  - Updated for v5.20.2

5.20150120
  - Updated for v5.21.8

5.20141220
  - Updated for v5.21.7

5.20141120
  - Updated for v5.21.6

5.20141020
  - Updated for v5.21.5

5.20141002
  - Updated for v5.18.3 and v5.18.4

5.20140920
  - Updated for v5.21.4

5.20140914
  - Updated for v5.20.1

5.021003
  - Prepared for v5.21.3

5.021002
  - Prepared for v5.21.2

5.021001_01
  - Prepared for v5.21.1

3.11
  - Prepared for v5.20.0
  - Fix regression in corelist with -v output listing the same perl
    multiple times
  - Fix regression in corelist with v5.x.10 appearing twice in -a output

3.10
  - Updated for v5.19.11

3.09
  - updated for v5.19.10

3.08
  - prepared for v5.19.10

3.07 Fri Feb 21 2014
 - fix for is_core tests and perls ending in 0

3.06 Thu Feb 20 2014
 - updated for 5.19.9
 - fix Module::CoreList::is_core default perl version
 - fix Module::CoreList::is_core version comparison

3.05
  - Prepared for v5.19.9

3.04
  - Prepared for v5.19.8

3.03 Mon Jan  6 2014
  - Updated for v5.18.2

3.02 Fri Dec 20 2013
  - Prepared for v5.19.7
  - Added CGI et al deprecation status
  - Finalised for v5.19.7

3.01 Wed Nov 20 2013
  - Finalised for v5.19.6

3.00 Sun Oct 20 2013
  - Updated for v5.19.5
  - exported %delta
  - fixed bug in is_core(): it was naively assuming a linear sequence of releases,
    rather than the tree with multiple branches.

2.99 Fri Sep 20 2013
  - Updated for v5.19.4
  - fixed Module::Build core deprecation
  - changes_between now has the same API as all other functions
  - added is_core() which returns true if a module is/was core
    in a specific version of Perl. Can optionally specify minimum
    version of the module.

2.98 Wed Aug 21 2013
  - Prepared for v5.19.4

2.97 Tue Aug 20 2013
  - Updated for v5.19.3

2.96 Mon Aug 12 2013
  - Utils module listing all utilities released with core
  - Updated for v5.18.1

2.95 Mon Jun 22 2013
  - Prepared for v5.19.3

2.94 Sun Jun 21 2013
  - Updated for v5.19.2

2.93 Thu 20 Jun 2013
  - Updated for v5.19.1

2.92 Thu Jun 21 2013
  - Make switches case-sensitive (keep -d and -D distinct)
  - correct omission of Text::Soundex and File::CheckTree from deprecations
  - switch %deprecated to a delta hash

2.91 Mon May 20 2013
  - Updated for v5.19.0

2.90 Mon May 18 2013
  - Updated for v5.18.0

2.88 Tue Apr 23 2013
  - Include deprecations for v5.17.10 and v5.17.11

2.87 Sat Apr 20 2013
  - Updated for v5.17.11
2.85 Thu Mar 19 2013
  - Updated for v5.17.10

2.84 Mon Mar 11 2013
  - Updated for v5.16.3

2.83 Sun Mar 10 2013
  - Updated for v5.14.4

2.82 Wed Feb 20 2013
  - --feature switch added
  - --upstream switch added
  - Updated for v5.17.9

2.81 Sun Jan 27 2013
  - Add modules deprecated with v5.17.9

2.80 Sun Jan 20 2013
  - Updated for v5.17.8

  - v5.17.7 contained Module::CoreList::TieHashDelta 2.79, not 2.78

2.79 Tue Dec 18 2012
  - Updated for v5.17.7

  - Errno was added in 5.5, not in 5.5.4

2.78 Sat Nov 12 2012
  - Updated for v5.17.6

  - Fix hash order dependency bug in deprecated_in().
    Tests would would fail or succeed depending on what order keys()
    would return the version list in. List::Utils::min() considers
    '5.011' and '5.011000' to be equivalent, and returns the first
    whichever it encounters. Changing to List::Utils::minstr() fixes
    this.

2.77 Sat Nov 10 2012
  - Updated for v5.12.5
  - deprecated_in() function added
  - corelist reports deprecated data

2.76 Fri Nov  1 2012
  - Updated for v5.16.2

2.75 Fri Oct 20 2012
  - Updated for v5.17.5

2.74 Fri Oct 12 2012
  - Updated for v5.14.3

2.73 Thu Sep 20 2012
  - Updated for v.5.17.4

2.72 Tue aug 21 2012
  - Fix for older perls

2.71 Mon Aug 20 2012
  - Updated for v5.17.3

2.70 Thu Aug 9 2012
  - Updated for v5.16.1

2.69 Fri Jul 20 2012
  - Updated for v5.17.2

2.68 Tue Jun 19 2012
  - Updated for v5.17.1

2.67 Sat May 26 2012
  - Updated for v5.17.0

2.66 ??
  - Add the --diff option to compare two perl core modlibs

2.65 Tue Mar 20 2012
  - Update of lib/charnames

2.64 Tue Mar 20 2012
  - Update of Data::Dumper and XS::APItest

2.63 Tue Mar 20 2012
  - Update for v5.15.9

2.62 Thu Mar 15 2012
  - Separate the POD (bingos)

2.61 Fri Feb 20 2012
  - Updated for v5.15.8

2.60 Fri Jan 20 2012
  - Updated for v5.15.7

2.59 Sun Dec 20 2011
  - Updated for v5.15.6

2.58 Sun Nov 20 2011
  - Updated for v5.15.5

2.57 Thu Oct 20 2011
  - Updated for v5.15.4

2.56 Tues Sept 20 2011
  - Updated for v5.15.3
  - Corrected version of Module::CoreList shipped
    with v5.10.0
  - Corrected Errno being shipped with v5.6.0 and v5.6.1
  - Corrected VMS::Filespec being shipped with v5.12.3
  - Corrected DB_File being shipped with v5.8.2
  - Added http://perlpunks.de/corelist to SEE ALSO

2.55 Sat Aug 20 2011
  - Updated for v5.15.2

2.54 Wed Jul 20 2011
  - Updated for v5.15.1

2.53 Thu Jul 14 2011
  - Added release date option '-r' to corelist

2.52 Mon Jul 4  2011
  - [rt.cpan.org #69108] Extraneous modules listed
    reported by Dee Newcum

2.51
  - Updated for v5.15.0

2.50
  - Updated for v5.12.4

2.49
  - Updated for v5.14.0

2.46 Sun Mar 20 2011
  - Resolved RT #59511
  - Updated for v5.13.11

2.45 Sun Feb 20 2011
  - Bumped the version number and data for the 5.13.10 release

2.44    Sat Jan 22 2011
  - Merged v5.12.3 and v5.13.9

2.43    Sat Jan 22 2011
  - Updated for v5.12.3

2.42_01 Thu Jan 20 2011
  - Updated for v5.13.9

2.42    Mon Dec 20 2010
  - Updated for v5.13.8

2.41    Sat Nov 20 2010
  - Updated for v5.13.7

2.40    Wed Oct 20 2010
  - Updated for v5.13.6

2.39    Sun Sep 19 2010
  - Updated for v5.13.5

2.38    Mon Sep 07 2010
  - Updated for v5.12.2

2.37    Tue Jul 20 2010
  - Updated for 5.13.4
  - Remove 'Filespec' module. It never existed in the core and is supposed to be
    'VMS::Filespec' instead.

2.36    Tue Jul 20 2010
  - Updated for 5.13.3

2.35    Thu Jun 22 2010
  - Updated for 5.13.2

2.34    Thu May 20 2010
  - Updated for 5.13.1

2.31_01 Fri Apr 30 2010
  - [rt.cpan.org #56740] Format Perl versions >= 5.6.0 as X.Y.Z (schwern)
  - Functional interface amended to make calling conventions consistent
    (bingos)
  - Documented all functions and all hash structures (bingos)
  - Fixed functions with edge-case involving querying for Module::CoreList
    itself. Pointed out by Ilmari.
  - Added removed_from() and removed_from_by_date() functions
    for querying which release a module was removed from core. (bingos)
  - Amended corelist utility to use new removed from functions when
    stating when a module entered core ( and when it left it ). (bingos)
  - Added tests to the testsuite to cover the edge-cases and new funcs. (bingos)

2.31    Sun Mar 20 2010
  - Updated for 5.13.0

2.27    Sun Mar 14 2010
  - Updated for 5.12.0

2.26    Sat Feb 20 2010
  - Updated for 5.11.5

2.25    Wed Jan 20 2010
  - Updated for 5.11.4

2.24    Mon Dec 21 2009
  - Updated for 5.11.3

2.23    Fri Nov 20 2009
  - Updated for 5.11.2

2.22    Thu Oct 22 2009
  - is_deprecated function and %deprecated hash (dagolden)

2.21    <>
  - Added 5.11.1

2.20    Sat Oct  3 2009
	- Make Module::Corelist recognise $] as a version number on 5.11.0

2.19    Fri Oct  2 2009
	- Update for perl 5.11.1

2.18	Mon Aug 24 2009
	- Update for perl 5.10.1
	- Remove %patchlevel hash (now that perl uses git and not perforce)
	- Add %upstream and %bug_tracker data (Nicholas Clark)

2.17	Sun Jan 18 2009
	- Make $] work to select perl version for 5.1 and 5.10 (John Peacock)
	- Add ExtUtils::Miniperl to the list of core modules for all versions
	  >= 5.00504
	- Add 5.8.9
	- Fix release date for 5.002 (Grant McLean)

2.15	Tue Apr  1 2008
	- Add missing entries for Config.pm in recent perls
	- Install in core location for perl >= 5.8.9 (Jerry D. Hedden)

2.14	Mon Mar 17 2008
	corelist changes:
        - Add a new -d option to find first perl version by date
          and not by version number
        - Better handling of perl versions that end with a 0
        - use version.pm only for version numbers that have multiple dots

	- Fix tag for 5.00405 (Sam Vilain)

2.13	Tue Dec 18 2007
	- Add data for perl 5.10.0

2.12	Mon Jul  9 2007
	- Add data for perl 5.9.5

2.11	Thu May 10 2007
	- first_release() now returns the first release in the order of
	  perl version numbers. Add a new method first_release_by_date()
	  to keep the old behaviour available. Suggested by Michael G Schwern.
	- Update data about UCD versions

2.10	Wed May  9 2007
	- Add versioning for the Unicode Character Database bundled
	  with Perl (H. Merijn Brand)

2.09	Thu Oct  5 2006
	- Make the dependency on version.pm optional
	- Improve doc of corelist(1)

2.08	Thu Sep  7 2006
	- Add data for 5.9.4

2.07	Wed Aug  9 2006
	- Regenerate data correctly for 5.8.7, 5.8.8, 5.9.2 and 5.9.3
	- Add OS-specific modules for those versions

2.06	Tue Aug  1 2006
	Patches by Marius Feraru :
	- handle dotted perl versions (e.g. 5.8.6)
	- add an easy way to determine what was some module's version bundled
	  with a specified Perl release

2.05	Tue Jun  6 2006
	Patches by Adriano Ferreira :
	- corelist utility accepts regexes as arguments, eg. /IPC::Open/
	- Errors when building regexes are trapped and warning is generated

2.04	Thursday 2nd February, 2006
	Fix patchlevel for 5.8.8 (Gisle Aas)
	Silence warnings in corelist utility

2.03	Wednesday 1st February, 2006
	Include data for perl 5.9.3 and 5.8.8

2.02	Tuesday 31th May, 2005
	Include data for perl 5.8.7

2.01	Sunday 24th April, 2005
	Allow to specify several modules on the corelist command-line
	(Yves Orton)
	Add a %patchlevel hash to get perforce patchlevels corresponding to
	released versions

2.00	Sunday 10th April, 2005
	Data from Sebastien Aperghis-Tramoni for perl 5.00{0,1,2}.

1.99	Tuesday 5th April, 2005
	Backport to CPAN the version of Module::CoreList shipped with
	perl 5.9.2 (containing info for this latest distribution).
	Install in coreperl instead of sitelib for perls >= 5.9.2.

1.98	Saturday 1st January, 2005
	Data from José Pedro Oliveira for 5.8.6

1.97	Wednesday 8th September, 2004
	Ship with a traditional Makefile.PL

1.96	Monday 26th July, 2004
	Lars Thegler supplied many many fixes as #6922, #7085, #7086,
	#7089, #7090, #7091, #7092, #7093, #7094, #7095, #7096, #7098,
	#7099, #7100, and #7101
	Added the %families hash.
	Small changes to the tests to ensure that things look consistent.

1.95	Wednesday 21st July, 2004
	Data from José Pedro Oliveira for 5.8.4 and 5.8.5

1.94	Monday 12th July, 2004
	Applied fixes from Lars Thegler (rt.cpan.org tickets #6919,
	#6920, #6922, and #6923)
	Data from Jose Pedro Oliveira for 5.005_04, 5.8.3, and 5.9.1.

1.93	Friday 14th November, 2003
	Data for 5.9.0 and 5.6.2

1.92	Friday 14th November, 2003
	Incorporated two patches submitted from anonymous reporters
	via rt.cpan.org (#4358 and #4359, corelist enhancement and
	information for 5.8.2)
	Added 5.8.1 information.

1.91    18th May 2003
        - Fix from Mark Fowler - XSLoader is autogenerated too

1.9     22nd April 2003
        - incorporated PodMaster's corelist script

1.8	13th February 2003
	- reformatted Changes file to use makereadme
	- fixed version of Exporter::Heavy for 5.8 (as caught by Leon Brocard)

1.7	30th July 2002
	- HISTORY contents moved to this Changes file
	- identify-dependencies script given some loving.

1.6	July 2002
	- Included Config as a shipped module for all releases of perl
	  (caught by Mark Fowler)
	- Added data for the 5.8 release.

1.5	2nd April 2002
	- Fixed a glaring bug caught by the testsuite but sadly
	  released.  perl5.004_05 was released post 5.005_03 and so
	  isn't the first release to contain File::Spec.
	- Added data for 5.003_07, 5.004, and 5.005 releases.
	- Added the %released hash.

1.4	2nd April 2002
	- Bugfixes from Roland Bauer to allow the code to work under
	  5.004_04.
	- Using a cgi developed by Roland caught and fixed a number of
	  bugs in the previous extraction of module names.
	- Rewrote the name extractor to be simpler.
	- Added data for the 5.004_05 and 5.6.0 releases of perl.

1.3	25th March 2002
	- Initial CPAN release, covers 5.00503, 5.6.1 and 5.7.3
